Retrieve a specific integration by ID
curl --request GET \
--url https://api.draftt.io/v1/integration/{integrationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.draftt.io/v1/integration/{integrationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.draftt.io/v1/integration/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 1,
"name": "My AWS Integration",
"type": "aws",
"status": "Healthy",
"details": {
"externalId": "abc123",
"roleArn": "arn:aws:iam::123456789012:role/my-role",
"accountId": "123456789012"
},
"createdAt": "2024-12-01T12:00:00.000Z",
"updatedAt": "2024-12-23T12:00:00.000Z"
}
],
"nextToken": null
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Integration
Retrieve a specific integration by ID
GET
/
integration
/
{integrationId}
Retrieve a specific integration by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I